WordPress.org

Support

Support » Requests and Feedback » Http library requires Basic Auth functionality

Http library requires Basic Auth functionality

  • I am currently writing a plugin to update your Twitter status via the backend.

    Trying to keep to good practise, I am trying to use WP “Http.php” library to POST data “wp_remote_post()”.

    Problem: There is no way to send ‘Basic Auth’ information with this function.

    By default, WP will try to use PHP’s “http_request()” func in their http.php library.
    http://uk.php.net/manual/en/function.http-request.php

    But there is no option to use the required ‘httpauth’ defined in the options are in the PHP manual (httpauth).

    I’ve never logged an issue with Trac before but I am willing to do so if this will fix the issue.

    Without it, plugins that require Basic Auth will have to use snoopy or worse – write their own.

  • The topic ‘Http library requires Basic Auth functionality’ is closed to new replies.
Skip to toolbar